=head1 NAME

Gtk2::Gdk::Display - wrapper for GdkDisplay

=cut

=head1 HIERARCHY

  Glib::Object
  +----Gtk2::Gdk::Display



=cut


=head1 METHODS

=head2 $display-E<gt>B<beep> 

=head2 $display-E<gt>B<close> 

=head2 device = $display-E<gt>B<get_core_pointer> 

=head2 $display-E<gt>B<set_cursor_theme> ($theme, $size)

=over

=item * $theme (string) 

=item * $size (integer) 

=back

Since: gtk+ 2.8

=head2 integer = $display-E<gt>B<get_default_cursor_size> 

Since: gtk+ 2.4

=head2 display or undef = Gtk2::Gdk::Display-E<gt>B<get_default> 

=head2 window = $display-E<gt>B<get_default_group> 

Since: gtk+ 2.4

=head2 screen = $display-E<gt>B<get_default_screen> 

=head2 $display-E<gt>B<set_double_click_distance> ($distance)

=over

=item * $distance (integer) 

=back

Since: gtk+ 2.4

=head2 $display-E<gt>B<set_double_click_time> ($msec)

=over

=item * $msec (integer) 

=back

=head2 event = $display-E<gt>B<get_event> 

=head2 $display-E<gt>B<flush> 

Since: gtk+ 2.4

=head2 $display-E<gt>B<grab> 

=head2 boolean = $display-E<gt>B<is_closed> 

Since: gtk+ 2.22

=head2 $display-E<gt>B<keyboard_ungrab> ($time_)

=over

=item * $time_ (unsigned) 

=back

=head2 list = $display-E<gt>B<list_devices> 

Returns a list of Gtk2::Gdk::Devices

=head2 (width, height) = $display-E<gt>B<get_maximal_cursor_size> 

Since: gtk+ 2.4

=head2 integer = $display-E<gt>B<get_n_screens> 

=head2 string = $display-E<gt>B<get_name> 

=head2 display or undef = Gtk2::Gdk::Display-E<gt>B<open> ($display_name)

=over

=item * $display_name (string or undef) 

=back

=head2 event = $display-E<gt>B<peek_event> 

=head2 list = $display-E<gt>B<get_pointer> 

=head2 boolean = $display-E<gt>B<pointer_is_grabbed> 

=head2 $display-E<gt>B<pointer_ungrab> ($time_)

=over

=item * $time_ (unsigned) 

=back

=head2 $display-E<gt>B<put_event> ($event)

=over

=item * $event (Gtk2::Gdk::Event) 

=back

=head2 $display-E<gt>B<register_standard_event_type> ($event_base, $n_events)

=over

=item * $event_base (integer) 

=item * $n_events (integer) 

=back

Since: gtk+ 2.4

=head2 boolean = $display-E<gt>B<request_selection_notification> ($selection)

=over

=item * $selection (Gtk2::Gdk::Atom) 

=back

Since: gtk+ 2.6

=head2 screen = $display-E<gt>B<get_screen> ($screen_num)

=over

=item * $screen_num (integer) 

=back

=head2 string = $display-E<gt>B<get_startup_notification_id> 

Since: gtk+ 2.12

=head2 $display-E<gt>B<store_clipboard> ($clipboard_window, $time_, ...)

=over

=item * $clipboard_window (Gtk2::Gdk::Window) 

=item * $time_ (unsigned) 

=item * ... (list) of Gtk2::Gdk::Atom's

=back



Since: gtk+ 2.6

=head2 boolean = $display-E<gt>B<supports_clipboard_persistence> 

Since: gtk+ 2.6

=head2 boolean = $display-E<gt>B<supports_composite> 

Since: gtk+ 2.12

=head2 boolean = $display-E<gt>B<supports_cursor_alpha> 

Since: gtk+ 2.4

=head2 boolean = $display-E<gt>B<supports_cursor_color> 

Since: gtk+ 2.4

=head2 boolean = $display-E<gt>B<supports_input_shapes> 

Since: gtk+ 2.10

=head2 boolean = $display-E<gt>B<supports_selection_notification> 

Since: gtk+ 2.6

=head2 boolean = $display-E<gt>B<supports_shapes> 

Since: gtk+ 2.10

=head2 $display-E<gt>B<sync> 

=head2 $display-E<gt>B<ungrab> 

=head2 unsigned = $display-E<gt>B<get_user_time> 

Since: gtk+ 2.8

=head2 $display-E<gt>B<warp_pointer> ($screen, $x, $y)

=over

=item * $screen (Gtk2::Gdk::Screen) 

=item * $x (integer) 

=item * $y (integer) 

=back

Since: gtk+ 2.8

=head2 (window, win_x, win_y) = $display->B<get_window_at_pointer> ($display)





=cut


=head1 SIGNALS

=over

=item B<closed> (Gtk2::Gdk::Display, boolean)

=back



=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

